### Interface

# Gtk Orientable

#### Description [src]

    interface Gtk.Orientable : GObject.Object

The `GtkOrientable` interface is implemented by all widgets that can be oriented horizontally or vertically.

`GtkOrientable` is more flexible in that it allows the orientation to be changed at runtime, allowing the widgets to “flip”.

#### Instance methods

###### gtk_orientable_get_orientation

Retrieves the orientation of the `orientable`.

###### gtk_orientable_set_orientation

Sets the orientation of the `orientable`.

#### Properties

###### Gtk.Orientable:orientation

The orientation of the orientable.

#### Interface structure

    struct GtkOrientableIface {
      GTypeInterface base_iface;

    }

###### Interface members

`base_iface` |
    GTypeInterface
| No description available.